import { SvelteComponentTyped } from "svelte";
import type { DetailedValue, CountryCode, E164Number, TelInputOptions } from '../../types';
declare const __propDef: {
    props: {
        autocomplete?: string | null | undefined;
        /** You can set the classes of the input field*/ class?: string | undefined;
        /** You can disable the component and set the disabled attribute of the input field */ disabled?: boolean | undefined;
        /** You can set the id attribute of the input field */ id?: string | undefined;
        /** You can set the name attribute of the input field */ name?: string | null | undefined;
        /** It will overwrite the autoPlaceholder ! */ placeholder?: string | null | undefined;
        /** You can set the readonly attribute of the input field */ readonly?: boolean | null | undefined;
        /** Set the required attribute on the input element */ required?: boolean | null | undefined;
        /** You can set the size attribute of the input field */ size?: number | null | undefined;
        /** The core value of the input, this is the only one what you can store. It's an E164 phone number.*/ value: E164Number | null;
        /** It's accept any Country Code Alpha-2 (ISO 3166) */ country: CountryCode | null;
        /** Detailed parse of the E164 phone number */ detailedValue?: Partial<DetailedValue> | null | undefined;
        /** Validity of the input based on the config settings.*/ valid?: boolean | undefined;
        /** You can turn on and off certain features by this object */ options?: TelInputOptions | undefined;
    };
    events: {
        beforeinput: InputEvent;
        blur: FocusEvent;
        change: Event;
        click: MouseEvent;
        focus: FocusEvent;
        input: Event;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        paste: ClipboardEvent;
        updateCountry: CustomEvent<CountryCode | null>;
        parseError: CustomEvent<string>;
        updateDetailedValue: CustomEvent<Partial<DetailedValue> | null>;
        updateValid: CustomEvent<boolean>;
        updateValue: CustomEvent<E164Number | null>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TelInputProps = typeof __propDef.props;
export type TelInputEvents = typeof __propDef.events;
export type TelInputSlots = typeof __propDef.slots;
export default class TelInput extends SvelteComponentTyped<TelInputProps, TelInputEvents, TelInputSlots> {
}
export {};
